unit About;

interface

uses Windows, SysUtils, ShellAPI, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, rLabel, ErrorMes;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    PanelTop: TPanel;
    Panel5: TPanel;
    CompanyImage: TImage;
    Panel6: TPanel;
    FileDesc: TrLabel;
    Version: TLabel;
    Bevel1: TBevel;
    rLabel1: TrLabel;
    HomePage: TLabel;
    Label2: TPanel;
    EMail: TLabel;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure HomePageClick(Sender: TObject);
    procedure EMailClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    VL: TStringList;
  public
  end;

var
  AboutBox: TAboutBox;

implementation

uses Procs, RUtils, StrUtils;

{$R *.DFM}

procedure TAboutBox.FormCreate(Sender: TObject);
begin
  CompanyImage.Picture.Icon.Handle := LoadIcon(hInstance,'MAINICON');
  VL := TStringList.Create;
  GetVersionInfo(VL);
  FileDesc.Caption    := VL.Values['FileDescription'];
  Version.Caption     := 'Version '+VL.Values['FileVersion'];
  s := IIF(VL.Values['ProductName'] <> '', #13,'');
  rLabel1.Caption    := VL.Values['ProductName']+s+
                         VL.Values['LegalCopyright'];
  HomePage.Caption    := VL.Values['HomePage'];
  EMail.Caption       := VL.Values['E-Mail'];
end;

procedure TAboutBox.HomePageClick(Sender: TObject);
begin
  n := ShellExecute(Handle, 'open', PChar(HomePage.Caption), nil, nil, SW_SHOW);
  if n in [0..32] then
    raise EAnyError.CreateAny('Webpage loading error:',
            'Can''t starting web browser.',
            'Web browser error #'+IntToStr(n)+'.'+CRLF+HomePage.Caption);
end;

procedure TAboutBox.EMailClick(Sender: TObject);
begin
  n := ShellExecute(Handle, 'open', PChar('mailto:'+EMail.Caption), nil, nil, SW_SHOW);
  if n in [0..32] then
    raise EAnyError.CreateAny('E-mail sending error:',
            'Can''t starting e-mail client .',
            'E-mail client error #'+IntToStr(n)+'.'+CRLF+EMail.Caption);
end;

procedure TAboutBox.FormDestroy(Sender: TObject);
begin
  VL.Free;
end;

procedure TAboutBox.FormShow(Sender: TObject);
begin
  ClientHeight := Label2.Top+Label2.Height+Panel1.Height;
end;

end.

